# RPM specfile for control-center module
# Generated Fri Oct 12 19:21:13 2001 GMT by Ximian build system
# $Id: bb_do,v 1.144 2001/10/06 09:16:29 thunder Exp $
# from $Id: helix-build.conf,v 1.28 2001/07/13 19:01:33 thunder Exp $

%define nam	control-center
%define ver	1.5.9

Name:     	gncontr
Version: 	1.5.9
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 6.4 / i386
Copyright:	LGPL/GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.gnome.org
Source0:	control-center-1.5.9.tar.gz
Patch0:		control-center-esdrelease.patch
Summary:	The GNOME Control Center
Group:		System Environment/Libraries
Requires:	gnlibs
Provides:	control-center

%description
This package contains utilities to configure the GNOME desktop.  The
GNOME Control Center allows you to alter the appearance, focus
behavior, screen saver, keyboard and mouse properties, and more.  It's
part of GNOME, the complete user-friendly desktop based entirely on
free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS
/opt/gnome/bin/*
/opt/gnome/lib/lib*.so.*
/opt/gnome/share/control-center
/opt/gnome/share/pixmaps/*
/opt/gnome/share/idl/*
/opt/gnome/*/locale/*
/opt/gnome/share/gnome/apps/Settings/*
/opt/gnome/share/oaf/*


%post
ldconfig

%postun
ldconfig

%package -n gncontrd
Summary:	The GNOME Control Center - development files
Group:		Development/Libraries
Requires:	gncontr = %{PACKAGE_VERSION}
Requires:	gnlibsd
Provides:	control-center-devel

%description -n gncontrd
This package contains utilities to configure the GNOME desktop.  The
GNOME Control Center allows you to alter the appearance, focus
behavior, screen saver, keyboard and mouse properties, and more.  It's
part of GNOME, the complete user-friendly desktop based entirely on
free software.

%files -n gncontrd
%defattr(-, root, root)
/opt/gnome/lib/lib*.a
/opt/gnome/lib/lib*.la
/opt/gnome/lib/lib*.so
/opt/gnome/lib/config_archiverConf.sh
/opt/gnome/include/config-archiver/*.h


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n control-center-1.5.9
    ;;
all)
%setup  -q -n control-center-1.5.9
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    PKG_CONFIG_PATH=/opt/gnome/lib/pkgconfig ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
